> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeblast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Deflection Logs

> Get a list of all look up requests.



## OpenAPI

````yaml get /api/v3/deflections/logs
openapi: 3.0.1
info:
  title: Chargeblast API
  version: 0.1.0
servers:
  - url: https://api.chargeblast.com
security: []
tags:
  - name: Credit Requests
  - name: Sync Data
  - name: Alerts
  - name: Disputes
  - name: Enrollment
paths:
  /api/v3/deflections/logs:
    get:
      tags:
        - Deflections
      summary: Fetch Deflection Logs
      description: Get a list of all look up requests.
      operationId: deflection-logs
      parameters:
        - name: page
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: The starting page of the request. Default value of 1.
        - name: per
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: How many objects to request per page. Default value of 10.
        - name: X-API-Key
          required: true
          in: header
          schema:
            type: string
          description: Your API key. Sent in the `X-API-Key` header.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClarityLogBody'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClarityLogResponse'
          description: OK
components:
  schemas:
    ClarityLogBody:
      properties:
        filter:
          $ref: '#/components/schemas/ClarityLogBodyClarityLogFilter'
      type: object
    ClarityLogResponse:
      required:
        - logs
        - page
        - per
        - total
      type: object
      properties:
        logs:
          type: array
          items:
            $ref: '#/components/schemas/ClarityLog'
        total:
          type: integer
          format: int64
        page:
          type: integer
          format: int64
        per:
          type: integer
          format: int64
    ClarityLogBodyClarityLogFilter:
      type: object
      properties:
        endDate:
          type: string
          nullable: true
          description: >-
            The end date of the logs to fetch in ISO8601 format, e.g.
            '2025-12-03T23:59:59Z'.
        gateway:
          type: string
          description: >-
            The gateway that the matched transaction is on (only supported for
            orchestrators or multi-gateway PSPs such as Braintree).
          nullable: true
        startDate:
          type: string
          nullable: true
          description: >-
            The start date of the logs to fetch in ISO8601 format, e.g.
            '2025-01-01T00:00:00Z'.
        status:
          nullable: true
          type: string
    ClarityLog:
      type: object
      description: A deflection log entry containing the request and response data.
      required:
        - request
        - response
      properties:
        request:
          $ref: '#/components/schemas/ClarityLogRequest'
          description: The original request data sent for deflection lookup.
        response:
          $ref: '#/components/schemas/ClarityLogResponseData'
          description: The response data from the deflection lookup.
    ClarityLogRequest:
      type: object
      description: The request payload for a deflection lookup.
      properties:
        arn:
          type: string
          nullable: true
          description: The Acquirer Reference Number (ARN) of the transaction.
        descriptor:
          type: string
          nullable: true
          description: The billing descriptor associated with the transaction.
        transactionDate:
          type: string
          nullable: true
          description: The date of the transaction.
        amount:
          type: number
          format: double
          nullable: true
          description: The transaction amount.
        currency:
          type: string
          nullable: true
          description: The 3-character ISO currency code (e.g., USD, EUR).
        bin:
          type: string
          nullable: true
          description: The first 6 digits of the card number (Bank Identification Number).
        last4:
          type: string
          nullable: true
          description: The last 4 digits of the card number.
        type:
          $ref: '#/components/schemas/ClarityType'
          nullable: true
          description: The type of deflection request.
    ClarityLogResponseData:
      type: object
      description: The response from a deflection lookup.
      required:
        - status
      properties:
        status:
          $ref: '#/components/schemas/ClarityStatus'
          description: The status of the deflection lookup.
        hasDeflectElements:
          type: boolean
          nullable: true
          description: >-
            Indicates whether the transaction has all of the required deflection
            elements available (e.g. IP address, customer.email, etc.). If
            false, deflectElementsMissing will be populated with the missing
            elements.
        deflectElementsMissing:
          type: string
          nullable: true
          description: Description of which deflection elements are missing, if any.
        chargeId:
          type: string
          nullable: true
          description: The matched charge ID from your system.
        gateway:
          type: string
          nullable: true
          description: The payment gateway associated with the matched transaction.
    ClarityType:
      type: string
      description: The type of deflection request.
      enum:
        - OI
        - Clarity
    ClarityStatus:
      type: string
      description: The status of a deflection lookup.
      enum:
        - Matched
        - Unmatched
        - Error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.